Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.svg.inkscape
Class Util

    java.lang.Object
      org.newdawn.slick.svg.inkscape.Util

    public class Util

extends java.lang.Object

A set of utility for processing the SVG documents produced by Inkscape

Author:
  kevin

Field Summary
`static java.lang.String` | `INKSCAPE` The namespace for inkscape
`static java.lang.String` | `SODIPODI` The namespace for sodipodi
`static java.lang.String` | `XLINK` The namespace for xlink

Constructor Summary
`Util()`

Method Summary
`static java.lang.String` | `getAsReference(java.lang.String value)` Get the attribute value as a reference to another entity

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INKSCAPE

    public static final java.lang.String INKSCAPE

  The namespace for inkscape

  See Also:
    Constant Field Values

### SODIPODI

    public static final java.lang.String SODIPODI

  The namespace for sodipodi

  See Also:
    Constant Field Values

### XLINK

    public static final java.lang.String XLINK

  The namespace for xlink

  See Also:
    Constant Field Values

Constructor Detail

### Util

    public Util()

Method Detail

### getAsReference

    public static java.lang.String getAsReference(java.lang.String value)

  Get the attribute value as a reference to another entity

  Parameters:
    `value` - The value to treat as reference
  Returns:
    The reference part of the attribute value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.